﻿/*
 * StarCoder by Tobias Wehrum <Tobias.Wehrum@dragonlab.de> is licensed under the
 * Creative Commons Attribution-ShareAlike 3.0 Unported License. To view a copy of this
 * license, visit http://creativecommons.org/licenses/by-sa/3.0/ or send a letter to
 * Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
 */

namespace StarCoder.Main.States.Play
{
    public interface IProgrammablePart
    {
        void SetUp(PlayState playState);
        void TearDown();
        void Update(float elapsedTime);
    }
}
