﻿/*
 * StarCoder by Tobias Wehrum <Tobias.Wehrum@dragonlab.de> is licensed under the
 * Creative Commons Attribution-ShareAlike 3.0 Unported License. To view a copy of this
 * license, visit http://creativecommons.org/licenses/by-sa/3.0/ or send a letter to
 * Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
 */

using SFML.Window;

namespace StarCoder.Main.States.Play.Entities
{
    public class Spike : IngameEntity
    {
        public Spike(PlayState playState, Vector2f position)
            : base(playState, position, Constants.ASSET_SPIKE)
        {
            sprite.Origin = new Vector2f(Width / 2f, Height);
        }
    }
}
